Package org.eclipse.birt.chart.computation.withaxes

# Class SeriesRenderingHints3D

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.SeriesRenderingHints3D

All Implemented Interfaces:
  `ISeriesRenderingHints`, `ISeriesRenderingHints3D`

public final class SeriesRenderingHints3D extends Object implements ISeriesRenderingHints3D
SeriesRenderingHints3D

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.render.ISeriesRenderingHints

`ANCILLARY_EMPTY, BASE_ANCILLARY_IN_SYNC, BASE_ANCILLARY_OUT_OF_SYNC, BASE_EMPTY, BASE_ORTHOGONAL_IN_SYNC, BASE_ORTHOGONAL_OUT_OF_SYNC, ORTHOGONAL_EMPTY, UNDEFINED`

## Constructor Summary

Constructors
Constructor
Description
`SeriesRenderingHints3D(PlotWith3DAxes _pwa, double _dXAxisLocation, double _dZAxisLocation, double _dPlotBaseLocation, double _dPlotZeroLocation, double _dPlotHeight, AxisTickCoordinates _daXTickCoordinates, AxisTickCoordinates _daZTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, AutoScale _scAncillary, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal, DataSetIterator _dsiAncillary)`

## Method Summary

Modifier and Type
Method
Description
`DataSetIterator`
`getBaseDataSet()`
`Bounds`
`getClientAreaBounds(boolean bReduceByInsets)`
Returns current client area bounds.
`DataPointHints[]`
`getDataPoints()`
`int`
`getDataSetStructure()`
`Label`
`getLabelAttributes(Series se)`
`Position`
`getLabelPosition(Series se)`
`double`
`getLocationOnOrthogonal(Object oValue)`
`DataSetIterator`
`getOrthogonalDataSet()`
`double`
`getPlotBaseLocation()`
`double`
`getPlotHeight()`
`double`
`getPlotZeroLocation()`
`DataSetIterator`
`getSeriesDataSet()`
Returns the dataset bound to Series.
`double`
`getXAxisLocation()`
`AxisTickCoordinates`
`getXTickCoordinates()`
`double`
`getZAxisLocation()`
`AxisTickCoordinates`
`getZTickCoordinates()`
`boolean`
`isXCategoryScale()`
`boolean`
`isZCategoryScale()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SeriesRenderingHints3D

public SeriesRenderingHints3D(PlotWith3DAxes _pwa, double _dXAxisLocation, double _dZAxisLocation, double _dPlotBaseLocation, double _dPlotZeroLocation, double _dPlotHeight, AxisTickCoordinates _daXTickCoordinates, AxisTickCoordinates _daZTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, AutoScale _scAncillary, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal, DataSetIterator _dsiAncillary)

Parameters:
  `_pwa` -
  `_dXAxisLocation` -
  `_dZAxisLocation` -
  `_dPlotBaseLocation` -
  `_dPlotZeroLocation` -
  `_daXTickCoordinates` -
  `_daZTickCoordinates` -
  `_dpa` -
  `_scBase` -
  `_scOrthogonal` -
  `_scAncillary` -
  `_dsiBase` -
  `_dsiOrthogonal` -
  `_dsiAncillary` -

## Method Details

### getDataSetStructure

public int getDataSetStructure()

Specified by:
  `getDataSetStructure` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset structure state of current series rendering hints. The value could be one of these defined in this interface:
  - `ISeriesRenderingHints.BASE_ORTHOGONAL_IN_SYNC`
  - `ISeriesRenderingHints.BASE_ORTHOGONAL_OUT_OF_SYNC`
  - `ISeriesRenderingHints.BASE_ANCILLARY_IN_SYNC`
  - `ISeriesRenderingHints.BASE_ANCILLARY_OUT_OF_SYNC`
  - `ISeriesRenderingHints.BASE_EMPTY`
  - `ISeriesRenderingHints.ORTHOGONAL_EMPTY`
  - `ISeriesRenderingHints.ANCILLARY_EMPTY`
  - `ISeriesRenderingHints.UNDEFINED`

### getBaseDataSet

public DataSetIterator getBaseDataSet()

Specified by:
  `getBaseDataSet` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset bound to base series.

### getOrthogonalDataSet

public DataSetIterator getOrthogonalDataSet()

Specified by:
  `getOrthogonalDataSet` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset bound to orthogonal series.

### getSeriesDataSet

public DataSetIterator getSeriesDataSet()
Description copied from interface: `ISeriesRenderingHints3D`
Returns the dataset bound to Series.

Specified by:
  `getSeriesDataSet` in interface `ISeriesRenderingHints3D`
Returns:

### getXAxisLocation

public double getXAxisLocation()

Returns:
  The location (if vertical, then horizontal co-ordinate; if horizontal, then vertical co-ordinate) of the category axis used in the plot

### getZAxisLocation

public double getZAxisLocation()

Returns:

### getPlotZeroLocation

public double getPlotZeroLocation()

Returns:
  The location (if vertical, then horizontal co-ordinate; if horizontal, then vertical co-ordinate) of zero along the primary orthogonal (value) axis used in the plot

### getLocationOnOrthogonal

public double getLocationOnOrthogonal(Object oValue) throws ChartException, IllegalArgumentException

Parameters:
  `oValue` - The value for which a rendering co-ordinate is being requested for
Returns:
  The co-ordinate on the scale that corresponds to the requested value
Throws:
  `ChartException`
  `IllegalArgumentException`

### getPlotBaseLocation

public double getPlotBaseLocation()

Returns:

### getPlotHeight

public double getPlotHeight()

Returns:

### getXTickCoordinates

public AxisTickCoordinates getXTickCoordinates()

Returns:
  The ticks' co-ordinates specified as a values along a horizontal or vertical category axis. The other fixed co-ordinate is obtained via the axis location.

### getZTickCoordinates

public AxisTickCoordinates getZTickCoordinates()

Returns:
  The ticks' co-ordinates specified as a values along the Z axis. The other fixed co-ordinate is obtained via the axis location.

### getDataPoints

public DataPointHints[] getDataPoints()

Specified by:
  `getDataPoints` in interface `ISeriesRenderingHints`
Returns:
  Detailed plotting information for the data points represented by the series rendering
See Also:
  - `DataPointHints`

### isXCategoryScale

public boolean isXCategoryScale()

Returns:

### isZCategoryScale

public boolean isZCategoryScale()

Returns:

### getLabelPosition

public Position getLabelPosition(Series se) throws ChartException, IllegalArgumentException

Parameters:
  `se` -
Returns:
Throws:
  `ChartException`
  `IllegalArgumentException`

### getLabelAttributes

public Label getLabelAttributes(Series se) throws IllegalArgumentException

Parameters:
  `se` -
Returns:
Throws:
  `IllegalArgumentException`

### getClientAreaBounds

public Bounds getClientAreaBounds(boolean bReduceByInsets)
Description copied from interface: `ISeriesRenderingHints`
Returns current client area bounds.

Specified by:
  `getClientAreaBounds` in interface `ISeriesRenderingHints`
Parameters:
  `bReduceByInsets` -
Returns: